# coding: utf-8

"""
    Alfresco Content Services REST API

    **Core API**  Provides access to the core features of Alfresco Content Services.   # noqa: E501

    OpenAPI spec version: 1
    
    Generated by: https://github.com/swagger-api/swagger-codegen.git
"""


from __future__ import absolute_import

import unittest

import swagger_client
from swagger_client.api.audit_api import AuditApi  # noqa: E501
from swagger_client.rest import ApiException


class TestAuditApi(unittest.TestCase):
    """AuditApi unit test stubs"""

    def setUp(self):
        self.api = swagger_client.api.audit_api.AuditApi()  # noqa: E501

    def tearDown(self):
        pass

    def test_delete_audit_entries_for_audit_app(self):
        """Test case for delete_audit_entries_for_audit_app

        Permanently delete audit entries for an audit application  # noqa: E501
        """
        pass

    def test_delete_audit_entry(self):
        """Test case for delete_audit_entry

        Permanently delete an audit entry  # noqa: E501
        """
        pass

    def test_get_audit_app(self):
        """Test case for get_audit_app

        Get audit application info  # noqa: E501
        """
        pass

    def test_get_audit_entry(self):
        """Test case for get_audit_entry

        Get audit entry  # noqa: E501
        """
        pass

    def test_list_audit_apps(self):
        """Test case for list_audit_apps

        List audit applications  # noqa: E501
        """
        pass

    def test_list_audit_entries_for_audit_app(self):
        """Test case for list_audit_entries_for_audit_app

        List audit entries for an audit application  # noqa: E501
        """
        pass

    def test_list_audit_entries_for_node(self):
        """Test case for list_audit_entries_for_node

        List audit entries for a node  # noqa: E501
        """
        pass

    def test_update_audit_app(self):
        """Test case for update_audit_app

        Update audit application info  # noqa: E501
        """
        pass


if __name__ == '__main__':
    unittest.main()
